Bug 3079 - In-Device Firmware update is not possible
: In-Device Firmware update is not possible
Status: RESOLVED FIXED
Product: Flasher
other
: unspecified
: All Linux
: Low enhancement with 2 votes (vote)
: 4.1
Assigned To: unassigned
: Maemo QA (deprecated)
:
:
:
:
  Show dependency tree
 
Reported: 2008-04-09 16:44 UTC by Hanno Zulla
Modified: 2008-10-28 09:59 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Hanno Zulla (reporter) 2008-04-09 16:44:04 UTC
The firmware flash utility is a crutch.

Requiring to use a desktop PC to update the tablet device's firmware is
cumbersome for advanced users and less than optimal for novices.

Especially since the tablet is an independent device and does not depend on the
desktop PC in any other way. (Unlike, say, a Palm PDA or an iPod, the tablet is
not connected to the desktop PC or some sync software on a regular basis.)

Please offer to do in-device firmware updates.

A tablet should be able to download and install the firmware all by itself.

The external flasher should only be necessairy to repair bricked devices when
the in-device firmware update failed.

Thanks!
Comment 1 Ryan Abel maemo.org 2008-04-10 04:16:08 UTC
Not particularly important at this point, as Diablo includes "over-the-air"
system updates (SSU), and kernel and initfs flashing can be done using
fanoush's tools
Comment 2 David Hagood 2008-04-14 18:27:01 UTC
Does comment#1 mean that the Diablo firmware will still require something other
than Application manager to update the kernel image and initfs?
Comment 3 Ryan Abel maemo.org 2008-05-18 14:19:51 UTC
(In reply to comment #2)
> Does comment#1 mean that the Diablo firmware will still require something other
> than Application manager to update the kernel image and initfs?
> 

No, Diablo includes on-device flashers for initfs and kernel (the console
application to control this is called flash-and-reboot).
Comment 4 Faheem Pervez maemo.org 2008-05-25 11:34:22 UTC
There is also fiasco-flasher in diablo. I assume you are able to flash an
entire Bin (Fiasco) image with it.
Comment 5 Andre Klapper maemo.org 2008-06-09 13:10:19 UTC
reassigning bugs that were assigned to Teemu Hukkanen.
Comment 6 Quim Gil nokia 2008-10-28 09:59:43 UTC
The Seamless Software Update feature implemented in Diablo solves the problem
reported here. Resolving as fixed.